VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
IViewEmbedder Struct Referenceabstract

interface for view embedder classes More...

Inheritance diagram for IViewEmbedder:

## Public Member Functions
virtual | ~IViewEmbedder () noexcept=default
virtual IView * | getExternalView () const =0
| returns the embedded view or nullptr if it has none

## Detailed Description

interface for view embedder classes

## Constructor & Destructor Documentation

virtual ~IViewEmbedder | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

virtual IView* getExternalView | ( |  | ) | const
| pure virtual

returns the embedded view or nullptr if it has none

Implemented in CExternalControl, and CExternalView.

The documentation for this struct was generated from the following file:

- iexternalview.h